.vertical-menu {
    margin-top: -10px;
    margin-bottom: -10px;
    z-index: 999;

    list-style: none;
    text-align: center;

    font-family: 'helvetica neue', sans-serif;
    font-weight: 500;
    font-size: 16px;
    
    width: 140px;
    height: 830px;

    top: 0px; 
    position: sticky;

    background: linear-gradient(145deg, #f7e1ff, #e0caf1);
    box-shadow:  20px 20px 60px #b7aac2;
    }

    .vertical-menu a {
        color: black;
        display: block;
        padding: 14px; 
        text-decoration: none;
    }

    .vertical-menu li {
        color: black;
        display: block;
        padding: 14px; 
        text-decoration: none;
    }

    .vertical-menu a:hover {
        background: #f7e1ff;
        color: #AD15D4;
        
        border-radius: 20px;
    }

    .sub-menus-btn {
        border-top-right-radius: 0px;
    }

    .sub-menus-content {
        display: none;
        position: absolute;

        margin-top: -45px;

        z-index: 1000;

        border-radius: 20px;

        background: linear-gradient(145deg, #f7e1ff, #e0caf1);

        min-width: 160px;
        box-shadow:  20px 20px 60px #b7aac2;
    }

    #sub-menus-content {
        margin-left: 140px;
        margin-top: -47px;
    }

    #sub-menus-content1 {
        margin-left: 160px;
        margin-top: -66px;
    }

    #sub-menus-content2 {
        margin-left: 160px;
        margin-top: -66px;
    }

    #active {
        background-color: #e093d1;
        border-radius: 20px;
    }

    .sub-menus-content a {
        color: black;

        padding: 14px 18px;
        text-decoration: none;
        display: block;
    }

    .sub-menus {
        width: 140px;
        position: relative;
        display: block;
    }

    .vertical-menu #lessActive {
        width: 112px;
        background: #c67cb7;
        color: rgb(98, 59, 98);
    }

    .vertical-menu #lessActive1 {
        background: #e093d1;
        color: rgb(98, 59, 98);
        border-radius: 20px;
        width: 124px;

        border-top-right-radius: 20px;
        border-bottom-right-radius: 20px;
    }

    .vertical-menu #lessActive2 {  
        width: 124px;
    }

    #sub-menus-content a:hover { 
        background: #f7e1ff;
        width: 140px;
     }

    #sub-menus:hover #sub-menus-content { display: block; }

    #sub-menus:hover #lessActive { background: #e093d1; }

    #sub-menus-content1 a:hover { background: #f7e1ff; }

    #sub-menus1:hover #sub-menus-content1 { 
        display: block; 
        border-radius: 20px;
        width: 140px; 
    }

    #sub-menus2:hover #sub-menus-content2 { 
        display: block;
        width: 140px; 
     }